Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface ColumnStatistics2

All Superinterfaces:
  M4Object

All Known Implementing Classes:
  ColumnStatistics2

    public interface ColumnStatistics2

extends M4Object

Version:
  $Id: ColumnStatistics2.java,v 1.4 2006/09/27 14:59:58 euler Exp $
Author:
  Timm Euler

Method Summary
`int` | `getDistributionCount()`
`double` | `getDistributionMaximum()`
`double` | `getDistributionMinimum()`
`java.lang.String` | `getDistributionValue()`
`Column` | `getTheColumn()`
`void` | `setDistributionCount(int distributionCount)`
`void` | `setDistributionMaximum(double distributionMaximum)`
`void` | `setDistributionMinimum(double distributionMinimum)`
`void` | `setDistributionValue(java.lang.String distributionValue)`
`void` | `setTheColumn(Column column)`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName, setNotNew`

Method Detail

### getDistributionValue

    java.lang.String getDistributionValue()

### setDistributionValue

    void setDistributionValue(java.lang.String distributionValue)

### getDistributionCount

    int getDistributionCount()

### setDistributionCount

    void setDistributionCount(int distributionCount)

### getDistributionMinimum

    double getDistributionMinimum()

### setDistributionMinimum

    void setDistributionMinimum(double distributionMinimum)

### getDistributionMaximum

    double getDistributionMaximum()

### setDistributionMaximum

    void setDistributionMaximum(double distributionMaximum)

### getTheColumn

    Column getTheColumn()

### setTheColumn

    void setTheColumn(Column column)
                      throws M4Exception

  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005